package com.lynx.tasm.ui.image;

import X.QNZ;
import com.bytedance.covode.number.Covode;
import com.lynx.tasm.behavior.shadow.ShadowNode;
import com.lynx.tasm.behavior.shadow.text.AbsInlineImageShadowNode$$PropsSetter;

public class FrescoInlineImageShadowNode$$PropsSetter extends AbsInlineImageShadowNode$$PropsSetter {
    static {
        Covode.recordClassIndex(47035);
    }

    public void LIZ(ShadowNode shadowNode, String str, QNZ qnz) {
        FrescoInlineImageShadowNode frescoInlineImageShadowNode = (FrescoInlineImageShadowNode) shadowNode;
        str.hashCode();
        if (!str.equals("skip-redirection")) {
            super.LIZ(shadowNode, str, qnz);
        } else {
            frescoInlineImageShadowNode.setSkipRedirection(qnz.LIZ(str, false));
        }
    }
}
